Phone & voice · Phone Numbers

Port numbers in

Ports numbers in.

POSThttps://api.pozy.ai/v1/phone-numbers/port-in
createPhoneNumberPortIn

Guides: Port a number in, Phone numbers

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the telephony resource group disabled get 403 resource_group_disabled. Authentication

Request body

application/json, required

  • phoneNumbersarray of stringrequired

    At least 1 item. Up to 50 items.

  • endUserobjectrequired
    13 child fields
    • entityNamestringrequired
    • authPersonNamestringrequired
    • billingPhoneNumberstring
    • accountNumberstringrequired
    • pinPasscodestring
    • taxIdentifierstring

      Up to 50 characters.

    • businessIdentifierstring

      Up to 50 characters.

    • streetAddressstringrequired
    • extendedAddressstring
    • localitystringrequired
    • administrativeAreastring
    • postalCodestringrequired
    • countryCodestringrequired

      One of US, CA, GB, ES, DE, FR, NL, AU, BR. 2 to 2 characters.

  • loaDocumentIdstringrequired
  • invoiceDocumentIdstringrequired
  • focDatetimeRequestedstring (date-time)
  • customerReferencestring

    Up to 100 characters.

  • portTypestring

    One of full, partial. Default full.

  • requirementsarray of object

    Up to 30 items.

    • requirementTypeIdstringrequired
    • fieldValuestringrequired

      Up to 1000 characters.

Example

curl -X POST "https://api.pozy.ai/v1/phone-numbers/port-in" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "phoneNumbers": [
    "+14155550123"
  ],
  "endUser": {
    "entityName": "Acme",
    "authPersonName": "Acme",
    "accountNumber": "string",
    "streetAddress": "string",
    "locality": "string",
    "postalCode": "string",
    "countryCode": "US"
  },
  "loaDocumentId": "69672f55771520ecb8178d25",
  "invoiceDocumentId": "606bc6ac551d4eb2b1feef58"
}'

Response

201 on success

  • idstring
  • carrierPortingOrderIdstring
  • statusstring

    One of draft, pending, foc_confirmed, ported, exception, cancelled.

  • phoneNumbersarray of string
  • ordersarray of object
    • idstring
    • carrierPortingOrderIdstring
    • statusstring
    • phoneNumbersarray of string
    • errorstring
201 response
{
  "id": "6bfebd43ddc270f6d2c56fc5",
  "carrierPortingOrderId": "6ff0121227cdb2529beb44df",
  "status": "draft",
  "phoneNumbers": [
    "+14155550123"
  ],
  "orders": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "carrierPortingOrderId": "6ff0121227cdb2529beb44df",
      "status": "active",
      "phoneNumbers": [
        "+14155550123"
      ],
      "error": "string"
    }
  ]
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is read-only, scoped to other profiles, or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Phone Numbers